Package org.eclipse.viatra.transformation.evm.specific.resolver

## Class InvertedDisappearancePriorityConflictResolver.InvertedDisappearancePriorityConflictSet

- java.lang.Object
- - org.eclipse.viatra.transformation.evm.specific.resolver.FixedPriorityConflictSet
  - - org.eclipse.viatra.transformation.evm.specific.resolver.InvertedDisappearancePriorityConflictResolver.InvertedDisappearancePriorityConflictSet

- All Implemented Interfaces:
    `ChangeableConflictSet`, `ConflictSet`
  Enclosing class:
    InvertedDisappearancePriorityConflictResolver

      public static class InvertedDisappearancePriorityConflictResolver.InvertedDisappearancePriorityConflictSet
      extends FixedPriorityConflictSet

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `InvertedDisappearancePriorityConflictSet​(FixedPriorityConflictResolver resolver, java.util.Map<RuleSpecification<?>,​java.lang.Integer> priorities)` |
    `InvertedDisappearancePriorityConflictSet​(FixedPriorityConflictResolver resolver, java.util.Map<RuleSpecification<?>,​java.lang.Integer> priorities, int defaultPriority)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `addActivation​(Activation<?> activation)` | This method is called by the Agenda when an activation changes state and becomes or is still enabled.
    `protected java.lang.Integer` | `getRulePriority​(Activation<?> activation)` |
    `boolean` | `removeActivation​(Activation<?> activation)` | This method is called by the Agenda when an activation changes state and becomes or is still disabled.

    - ### Methods inherited from class org.eclipse.viatra.transformation.evm.specific.resolver.FixedPriorityConflictSet

      `addActivation, getConflictingActivations, getConflictResolver, getNextActivation, getNextActivations, getRulePriority, removeActivation, setPriority`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### InvertedDisappearancePriorityConflictSet

          public InvertedDisappearancePriorityConflictSet​(FixedPriorityConflictResolver resolver,
                                                          java.util.Map<RuleSpecification<?>,​java.lang.Integer> priorities)

    - #### InvertedDisappearancePriorityConflictSet

          public InvertedDisappearancePriorityConflictSet​(FixedPriorityConflictResolver resolver,
                                                          java.util.Map<RuleSpecification<?>,​java.lang.Integer> priorities,
                                                          int defaultPriority)

      Since:
        2.1

  - ### Method Detail

    - #### getRulePriority

          protected java.lang.Integer getRulePriority​(Activation<?> activation)

      Overrides:
        `getRulePriority` in class `FixedPriorityConflictSet`

    - #### addActivation

          public boolean addActivation​(Activation<?> activation)

      Description copied from interface: `ChangeableConflictSet`
      This method is called by the Agenda when an activation changes state and becomes or is still enabled.

      NOTE: The ChangeableConflictSet is responsible for handling that `add` may be called multiple times on an Activation already in the conflict set!
      Specified by:
        `addActivation` in interface `ChangeableConflictSet`
      Overrides:
        `addActivation` in class `FixedPriorityConflictSet`
      Parameters:
        `activation` - the activation that should be added to the conflict set
      Returns:
        true, if the conflict set changed

    - #### removeActivation

          public boolean removeActivation​(Activation<?> activation)

      Description copied from interface: `ChangeableConflictSet`
      This method is called by the Agenda when an activation changes state and becomes or is still disabled.

      NOTE: The ChangeableConflictSet is responsible for handling that `remove` may be called on Activations that are not in the conflict set!
      Specified by:
        `removeActivation` in interface `ChangeableConflictSet`
      Overrides:
        `removeActivation` in class `FixedPriorityConflictSet`
      Parameters:
        `activation` - the activation that should be removed from the conflict set
      Returns:
        true, if the conflict set changed